APIリファレンス事業者情報・振込先

事業者情報・振込先

運営会社の請求・契約名義と請求書用振込先

GET/v1/business-profile

事業者情報を取得する

未登録ならdataはnullです。事業アカウントの表示名と請求・契約の名義は別に管理します。運営会社の情報を会員へ流用しません。

返る項目data の中身 · 200

  • namestring | null
  • companystring | null
  • postalCodestring | null
  • addressstring | null
  • buildingNamestring | null
  • phoneNumberstring | null
  • registrationNumberstring | null
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

GET/v1/business-profile
curl https://tooon.app/api/v1/business-profile \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": {
    "name": "山田 太郎",
    "company": "…",
    "postalCode": "…",
    "address": "東京都渋谷区神南1-2-3",
    "buildingName": "…",
    "phoneNumber": "090-1234-5678",
    "registrationNumber": "T1234567890123",
    "updatedAt": "2026-11-01T09:00:00.000Z"
  }
}
GET/v1/bank-account

請求書用の振込先を取得する

未登録ならdataはnullです。通常APIはキー発行者の振込先管理権限も確認します。口座番号を含むため、公開ページや解析ログへ転記しないでください。

返る項目data の中身 · 200

  • bankNamestring
  • bankCodestring
  • branchNamestring
  • branchCodestring
  • accountNumberstring
  • accountNamestring
  • accountTypeenum
    ORDINARYCURRENTSAVINGS
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

GET/v1/bank-account
curl https://tooon.app/api/v1/bank-account \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": {
    "bankName": "サンプル銀行",
    "bankCode": "0123",
    "branchName": "本店",
    "branchCode": "001",
    "accountNumber": "0123456",
    "accountName": "ヤマダ タロウ",
    "accountType": "ORDINARY",
    "updatedAt": "2026-11-01T09:00:00.000Z"
  }
}
POST/v1/business-profile

事業者情報を保存する

GETしたupdatedAtをexpectedUpdatedAtへ指定し、未登録ならnullを指定します。古い版や同時登録は409 version_conflict。通信の再試行には同じ本文とIdempotency-Keyを使ってください。 全項目を置き換えます。省略・null・空文字の任意項目は消去します。氏名または会社名/屋号名が必要です。保存は本人確認・登録番号の確認・規約同意・契約締結ではありません。請求書や契約書の発行・再発行は行いません。

送る項目JSON · 8項目

  • namestring | null

    200文字まで

  • companystring | null

    200文字まで

  • postalCodestring | null

    20文字まで

  • addressstring | null

    500文字まで

  • buildingNamestring | null

    200文字まで

  • phoneNumberstring | null

    50文字まで

  • registrationNumberstring | null
  • expectedUpdatedAtstring (date-time) | null必須

返る項目data の中身 · 200

  • namestring | null
  • companystring | null
  • postalCodestring | null
  • addressstring | null
  • buildingNamestring | null
  • phoneNumberstring | null
  • registrationNumberstring | null
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 409version_conflict

    古い版や同時登録のとき

POST/v1/business-profile
curl -X POST https://tooon.app/api/v1/business-profile \
  -H "Authorization: Bearer $TOOON_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "山田 太郎",
  "expectedUpdatedAt": null
}'
レスポンス
{
  "data": {
    "name": "山田 太郎",
    "company": "…",
    "postalCode": "…",
    "address": "東京都渋谷区神南1-2-3",
    "buildingName": "…",
    "phoneNumber": "090-1234-5678",
    "registrationNumber": "T1234567890123",
    "updatedAt": "2026-11-01T09:00:00.000Z"
  }
}
POST/v1/bank-account

請求書用の振込先を保存する

GETしたupdatedAtをexpectedUpdatedAtへ指定し、未登録ならnullを指定します。古い版や同時登録は409 version_conflict。通信の再試行には同じ本文とIdempotency-Keyを使ってください。 全項目を指定して置き換えます。通常APIはキー発行者の振込先管理権限も確認します。これは請求書に記載する口座の設定で、銀行口座の所有確認・Stripe接続・送金は実行しません。請求書や契約書の発行・再発行は行いません。

送る項目JSON · 8項目

  • bankNamestring必須

    200文字まで

  • bankCodestring必須

    4〜4文字

  • branchNamestring必須

    200文字まで

  • branchCodestring必須

    3〜3文字

  • accountTypeenum必須
    ORDINARYCURRENTSAVINGS
  • accountNumberstring必須

    7〜7文字

  • accountNamestring必須

    200文字まで

  • expectedUpdatedAtstring (date-time) | null必須

返る項目data の中身 · 200

  • bankNamestring
  • bankCodestring
  • branchNamestring
  • branchCodestring
  • accountNumberstring
  • accountNamestring
  • accountTypeenum
    ORDINARYCURRENTSAVINGS
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 409version_conflict

    古い版や同時登録のとき

POST/v1/bank-account
curl -X POST https://tooon.app/api/v1/bank-account \
  -H "Authorization: Bearer $TOOON_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "bankName": "サンプル銀行",
  "bankCode": "0123",
  "branchName": "本店",
  "branchCode": "001",
  "accountType": "ORDINARY",
  "accountNumber": "0123456",
  "accountName": "ヤマダ タロウ",
  "expectedUpdatedAt": null
}'
レスポンス
{
  "data": {
    "bankName": "サンプル銀行",
    "bankCode": "0123",
    "branchName": "本店",
    "branchCode": "001",
    "accountNumber": "0123456",
    "accountName": "ヤマダ タロウ",
    "accountType": "ORDINARY",
    "updatedAt": "2026-11-01T09:00:00.000Z"
  }
}